curl --request PATCH \
--url https://api.firecrawl.dev/v2/monitor/{monitorId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schedule": {
"text": "every 15 minutes starting at :07"
},
"status": "active"
}
'import requests
url = "https://api.firecrawl.dev/v2/monitor/{monitorId}"
payload = {
"schedule": { "text": "every 15 minutes starting at :07" },
"status": "active"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({schedule: {text: 'every 15 minutes starting at :07'}, status: 'active'})
};
fetch('https://api.firecrawl.dev/v2/monitor/{monitorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"currentCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"estimatedCreditsPerMonth": 123,
"goal": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"judgeEnabled": true,
"lastCheckSummary": {
"changed": 123,
"error": 123,
"new": 123,
"removed": 123,
"same": 123,
"totalPages": 123
},
"lastRunAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"nextRunAt": "2023-11-07T05:31:56Z",
"notification": {
"email": {
"enabled": false,
"includeDiffs": false,
"recipients": [
"jsmith@example.com"
]
}
},
"retentionDays": 123,
"schedule": {
"cron": "<string>",
"timezone": "<string>"
},
"targets": [
{
"type": "scrape",
"urls": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scrapeOptions": {
"actions": [
{
"milliseconds": 2,
"type": "wait"
}
],
"blockAds": true,
"excludeTags": [
"<string>"
],
"formats": [
"markdown"
],
"headers": {},
"includeTags": [
"<string>"
],
"location": {
"country": "US",
"languages": [
"en-US"
]
},
"lockdown": false,
"maxAge": 172800000,
"minAge": 123,
"mobile": false,
"onlyCleanContent": false,
"onlyMainContent": true,
"parsers": [
"pdf"
],
"profile": {
"name": "<string>",
"saveChanges": true
},
"proxy": "auto",
"redactPII": false,
"removeBase64Images": true,
"skipTlsVerification": true,
"storeInCache": true,
"threatProtection": {
"blacklist": [
"<string>"
],
"blockedTlds": [
"<string>"
],
"riskScoreThreshold": 75,
"whitelist": [
"<string>"
]
},
"timeout": 60000,
"waitFor": 0
}
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"webhook": {
"url": "<string>",
"events": [],
"headers": {},
"metadata": {}
}
},
"success": true
}Atualizar monitor
Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parâmetros de caminho
O ID do monitor
Corpo
Payload parcial de atualização do monitor. Inclua pelo menos um campo.
Objetivo em linguagem natural usado para avaliar se as páginas alteradas são relevantes. Se fornecido e judgeEnabled for omitido, a avaliação será ativada automaticamente. Obrigatório (não vazio) quando qualquer destino for do tipo search, a menos que judgeEnabled seja false.
2000Define se as páginas alteradas devem ser avaliadas com base em goal. Requer um goal não vazio para ser executado.
256Show child attributes
Show child attributes
1 <= x <= 365Programação das verificações de monitor. Forneça cron ou text.
Show child attributes
Show child attributes
active, paused 1 - 50 elements- Scrape target
- Crawl target
- Search target
Show child attributes
Show child attributes
Destino do webhook para eventos de página do monitor e de conclusão da verificação.
Show child attributes
Show child attributes

